Bug 473076 - Modesetting makes X crash & corrupt on AGP R500
Modesetting makes X crash & corrupt on AGP R500
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-26 09:21 EST by Tim Besard
Modified: 2009-12-18 01:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:56:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log with modesetting enabled. (72.00 KB, text/plain)
2008-11-26 09:21 EST, Tim Besard
no flags Details
Xorg log with modesetting disabled. (146.68 KB, text/plain)
2008-11-26 09:22 EST, Tim Besard
no flags Details
dmesg log (37.49 KB, text/plain)
2008-11-26 09:22 EST, Tim Besard
no flags Details
very verbose lspci output (11.10 KB, text/plain)
2008-11-26 09:23 EST, Tim Besard
no flags Details
Picture of the corruption (49.05 KB, image/jpeg)
2008-11-26 09:23 EST, Tim Besard
no flags Details

  None (edit)
Description Tim Besard 2008-11-26 09:21:18 EST
Description of problem:
When booting Fedora 10 (Beta, Preview, Installer, Live or OS), the screen corrupts as soon as X gets loaded. At first, I'm still able to move the mouse (it displays the "loading" animation), but then it locks. Some seconds later, I am able to move the mouse again.
While X pseudo-crashed (unresponsive, but mouse still alive), the computer sometimes reacts on signals: I've once been able to make Fedora shutdown correctly by pressing the Shutdown button at my case.


Version-Release number of selected component (if applicable):
3.6.0-54.fc10


How reproducible:
Perfectly reproducible, in every case.


Steps to Reproduce:
1. Boot Fedora Installer, Live or OS without modesetting disabled
2. Watch and enjoy Plymouth's animations (OS) or text at high resolution (installer)
3. As soon as X gets loaded, corruption occurs.
  
Actual results:
The background of the screen gets totally corrupted, but the mouse is still alive.

Additional info:
Backtrace and error message:
[mi] EQ overflowing. The server is probably stuck in an infinite loop.
Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostKeyboardEvent+0xa7) [0x80d3dd7]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0x1d1ae0]
4: /usr/bin/Xorg [0x80bcdb7]
5: /usr/bin/Xorg [0x80ac91e]
6: [0x110400]
7: /lib/libc.so.6(memcpy+0x46) [0x74f626]
8: [0xad307000]
9: /usr/lib/xorg/modules//libfb.so(fbCopyNtoN+0x1a5) [0x34d855]
10: /usr/lib/xorg/modules//libexa.so(exaCopyNtoN+0x2b5) [0x223e95]
11: /usr/lib/xorg/modules//libexa.so(exaComposite+0x90e) [0x2294de]
12: /usr/bin/Xorg [0x816f6fa]
13: /usr/bin/Xorg(CompositePicture+0x19a) [0x815818a]
14: /usr/lib/xorg/modules//libexa.so [0x224c1d]
15: /usr/lib/xorg/modules//libexa.so(exaGlyphs+0x4e2) [0x225672]
16: /usr/bin/Xorg [0x816f9c5]
17: /usr/bin/Xorg(CompositeGlyphs+0xa2) [0x8154612]
18: /usr/bin/Xorg [0x816197e]
19: /usr/bin/Xorg [0x815ad75]
20: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
21: /usr/bin/Xorg(main+0x47d) [0x806b71d]
22: /lib/libc.so.6(__libc_start_main+0xe5) [0x6ec6d5]
23: /usr/bin/Xorg [0x806ab01]
Comment 1 Tim Besard 2008-11-26 09:21:56 EST
Created attachment 324715 [details]
Xorg log with modesetting enabled.
Comment 2 Tim Besard 2008-11-26 09:22:27 EST
Created attachment 324716 [details]
Xorg log with modesetting disabled.
Comment 3 Tim Besard 2008-11-26 09:22:51 EST
Created attachment 324717 [details]
dmesg log
Comment 4 Tim Besard 2008-11-26 09:23:12 EST
Created attachment 324718 [details]
very verbose lspci output
Comment 5 Tim Besard 2008-11-26 09:23:40 EST
Created attachment 324719 [details]
Picture of the corruption
Comment 6 Matěj Cepl 2008-11-26 18:47:01 EST
Lovely:

Backtrace:
0: /usr/bin/Xorg(xorg_backtrace+0x3b) [0x812bc5b]
1: /usr/bin/Xorg(mieqEnqueue+0x289) [0x810b379]
2: /usr/bin/Xorg(xf86PostKeyboardEvent+0xa7) [0x80d3dd7]
3: /usr/lib/xorg/modules/input//evdev_drv.so [0x1d1ae0]
4: /usr/bin/Xorg [0x80bcdb7]
5: /usr/bin/Xorg [0x80ac91e]
6: [0x110400]
7: /lib/libc.so.6(memcpy+0x46) [0x74f626]
8: [0xad307000]
9: /usr/lib/xorg/modules//libfb.so(fbCopyNtoN+0x1a5) [0x34d855]
10: /usr/lib/xorg/modules//libexa.so(exaCopyNtoN+0x2b5) [0x223e95]
11: /usr/lib/xorg/modules//libexa.so(exaComposite+0x90e) [0x2294de]
12: /usr/bin/Xorg [0x816f6fa]
13: /usr/bin/Xorg(CompositePicture+0x19a) [0x815818a]
14: /usr/lib/xorg/modules//libexa.so [0x224c1d]
15: /usr/lib/xorg/modules//libexa.so(exaGlyphs+0x4e2) [0x225672]
16: /usr/bin/Xorg [0x816f9c5]
17: /usr/bin/Xorg(CompositeGlyphs+0xa2) [0x8154612]
18: /usr/bin/Xorg [0x816197e]
19: /usr/bin/Xorg [0x815ad75]
20: /usr/bin/Xorg(Dispatch+0x34f) [0x8085e9f]
21: /usr/bin/Xorg(main+0x47d) [0x806b71d]
22: /lib/libc.so.6(__libc_start_main+0xe5) [0x6ec6d5]
23: /usr/bin/Xorg [0x806ab01]
Comment 7 Tim Besard 2008-12-01 18:07:32 EST
kernel-2.6.27.7-132.fc10 (in koji) partially fixes this issue, addressed by Dave Arlie [1], but when using this kernel, Xserver get's very laggy when the desktop contains open GTK apps. Using this kernel with nomodeset option and compiz enabled causes the desktop to corrupt into one equally coloured entity.

[1] http://airlied.livejournal.com/#item63368
Comment 8 Bug Zapper 2009-11-18 02:59:17 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-12-18 01:56:59 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.